TechDraw Annotation

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
English • ‎français • ‎italiano

TechDraw Annotation.svg TechDraw Annotation

Menu location
TechDraw → Annotations → Insert Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
Draft Text, Draft ShapeString


Description

The Annotation tool adds a text block to a drawing page.

AnnotationSample.png

Annotation in the drawing page


Usage

  1. If you have multiple drawing pages in your document, you will need to select the desired page in the tree.
  2. Press the TechDraw Annotation.svg Insert Annotation button
  3. A text block containing Default Text will appear on the page. Use the property editor to change the text. Drag the Annotation to the required position.
  4. You may need to press Std Refresh.svg Refresh and/or TechDraw RedrawPage.svg Redraw Page to get your text to change.

UpdateAnnotation.png

Modifying the annotation through the property editor


Note: some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Properties

The Annotation inherits all applicable basic View properties except DataScale. Use the DataTextSize property instead.

  • DataText: The text to be displayed.
  • DataFont: The name of the font to use. Annotation will use the best match of installed fonts.
  • DataTextColor: The color of the text.
  • DataTextSize: The size of the text in mm.
  • DataMaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
  • DataLineSpace: Line spacing adjustment (%).
  • DataTextStyle: "Normal", "Bold", "Italic", "Bold-Italic"

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)

Notes